# cfinq Parameters

See the following table for parameters supported by the cfinq utility.
Note:

- The cfinq utility does not accept any negative values.
- Navigation commands are case sensitive.

Parameter (Alternate Specification) | Description
--- | ---
DAYS | Defines the number of days to search. Note: DAYS must not exceed 1826 (5 years). If SDATE and EDATE are both defined, DAYS is ignored. If SDATE is not defined, `Start Date = Current Date - number of Days`. If SDATE is not defined and EDATE is defined, `Start Date = EDATE - number of Days`.
DESCRIPTION (DESCR) | Defines the user data. Based on the DESCRIPTION parameter, the cfinq utility can search the log files and present detailed information for any transfers matching that description. A message is displayed on the screen if there are no transactions specified for the DESCRIPTION.
ENDDATE (EDATE) | Defines the end date in the format of yyyymmdd. `EDATE=TOD` or `EDATE=TODAY` means today. `EDATE=YES` or `EDATE=YESTERDAY` means yesterday. The default is TODAY. Note: To use ENDDATE, you must define STARTDATE or DAYS.
ENDTIME (ETIME) | Defines the end time in the 24 hour format of hhmmss. The default value is 240000. If STIME is not defined, the cfinq utility searches for the transaction only within the 000000 - ETIME period.
EXCEPTIONS (EXC) | Defines the type of transfers to select. The valid values are: U: unsuccessful S: successful Default: successful or unsuccessful
LOCALFILE (LF) | Defines the local file name.
LOCALUSER (LUSER) | Defines the local user name (user ID). Note: If you specify a user name other than your own, you must have the appropriate security authorization.
LOCTRANSNUM (LTRN) | Defines the unique local transaction number of the transfer. Based on the LOCTRANSNUM parameter, the cfinq utility can search the log files and present the detailed information for that transaction number. A message is displayed on the screen if no transaction for the LOCTRANSNUM is specified.
LOGDIR (LOGD) | Defines the log files directory.
MAXXFER (MAX) | Defines the maximum number of requests that can be returned. The default number is 500. The valid values are from 1 to 100,000. Note: The oldest transfer information is gathered first. If the total number of records exceeds 10000, the information close to the SDATE is not included in the transaction list.
PROCESS (PRO) | Defines the process name.
REMHOST (RHOST) | Defines the remote system name. This can be a node name, SNA LU Name, host name or IP address in dotted decimal format. Note: Generic selection cannot be used for IP addresses.
REMTRANSNUM (RTRN) | Defines the remote transaction number.
STARTDATE (SDATE) | Defines the start date of the search in the format yyyymmdd. SDATE = TOD or SDATE = TODAY means today. SDATE = YES or SDATE = YESTERDAY means yesterday. The default value is TODAY.
STARTTIME (STIME) | Defines the start time in 24 hour format of hhmmss. The default is 000000. If ETIME is not defined, the cfinq utility searches for the transaction only within the STIME - 240000 period.
TEMPERROR (TMPERR) | Defines whether to print the request for temporary errors that are in the audit file. This parameter applies regardless of whether the Print parameter is defined or not. The valid values are Yes or No. The default value is No.

Copyright © 2022. TIBCO Software Inc. All Rights Reserved.